Skip to main content
GET
/
v1
/
api
/
metrics
/
snapshot
Metrics snapshot
curl --request GET \
  --url https://api.dotprediction.io/v1/api/metrics/snapshot \
  --header 'X-API-Key: <api-key>'
{
  "market_id": "<string>",
  "platform": "<string>",
  "title": "<string>",
  "status": "<string>",
  "metrics": {
    "volume": {
      "total": 123,
      "volume_24h": 123,
      "volume_7d": 123,
      "volume_30d": 123,
      "volume_1y": 123
    },
    "liquidity": {
      "total": 123,
      "liquidity_score": 123,
      "clob_liquidity": 123
    },
    "open_interest": 123,
    "notional_value": 123,
    "spread": {
      "best_bid": 123,
      "best_ask": 123,
      "spread": 123,
      "adjusted_midpoint": 123
    },
    "fees": {
      "fee_rate": 123,
      "trading_fee": 123,
      "withdrawal_fee": 123
    },
    "competitive_score": 123,
    "unique_traders": 123
  },
  "meta": {
    "platforms": [
      "<string>"
    ],
    "request_time": 123,
    "cache_hit": true,
    "data_freshness": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Generate one via the dashboard or the /v1/api/auth/api-keys endpoint.

Query Parameters

platform
enum<string>
required

The platform to query.

Available options:
kalshi,
polymarket,
limitless
market_id
string
required

The market ID.

Response

Market metrics snapshot.

market_id
string
platform
string
title
string
status
string
metrics
object
meta
object